package com.hungraim.ltc.account.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.hungraim.ltc.pojo.entity.account.*;
import com.hungraim.ltc.pojo.vo.account.*;

import org.apache.poi.ss.usermodel.Workbook;

import java.text.ParseException;
import java.util.List;

public interface AccountService extends IService<ChDisabAccounts> {

    /**
     * 添加或修改结算记录
     */
    void addOrUpdateAccount(AccountOperVo accountOperVo);

    Page<SrvOrganListResp> searchSrvOrganList(SrvOrganListReq srvOrganListReq);

    Page<SrvOrganAccountListResp> searchSrvOrganAccountList(SrvOrganListReq srvOrganListReq);

    Page<SrvTaskRespVO> getSrvTaskList(SrvTaskReqVO srvTaskReqVO);

    AccountOperVo getSrvOrganDetail(Long accountsId);

    ExpenseVo expenseSettlement(ExpenseSettlementReq req) throws ParseException;

    Workbook srvOrganAccountExport(String accountsId);



    Page<ChDisabDetailAccountsResp> queryOrganAccountsDetail(Integer pageNum, Integer pageSize,String accountsId,Integer status);


    Page<NursingRecordsRespVO> queryNursingRecords(Integer pageNum, Integer pageSize, String taskDetailId);

    OverallEduceDecreaseCostRespVO queryOverallCostRecords(OverallCostReqVO req);

    Page<OverallCostListRespVO> queryOverallCostList(OverallCostReqVO req);

    int  overallCostSubmit(OverallCostSubmitReqVO req);

    int updateChDisabAccounts(int id);


    void organAccountTaskExecute(List<AccountTaskExecuteReqVO> accountTaskExecuteReqVOS);

    void otherPlaceHandler(String programId);

    int deleteAccountsDetail(Long accountsDetailId);

    int accountsFreeCommit(Long accountsDetailId);

    int delayAccountCommit(Long accountsDetailId,Short status);
}
